# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Pod/Readme.pm) perl(ShipIt/Step.pm) perl(ShipIt/Util.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(base.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name ShipIt-Step-Readme
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: Automatically create README for your Perl Package before releasing
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/T/TM/TMUELLER/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
This ShipIt::Step autogenerates a README-file from your distris' main package.

Therefore it adds a Pod INSTALLATION section, but only if it does not exist yet.
It contains installation instructions, for either an installation via ./Build or
an installation via make, depending on the existence of a Build.PL or a
Makefile.PL. If neither is found, we die.

The Pod INSTALLATION section is added after the Pod VERSION section, or in case
it does not exist, after the Pod NAME section. If neither is found, we die.
This section won't be visible on CPAN, and will only appear in your README.

Run this after any ShipIt::Step, that edits Pod. For example
the ShipIt::Step::ChangePodVersion manpage does that to add a Pod VERSION section
to your module. Otherwise the changes made won't be reflected in your README.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/S*

%changelog
* Mon Sep 30 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

